org.apache.xmlgraphics.ps.dsc.events

## Class DSCHeaderComment

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
  - - org.apache.xmlgraphics.ps.dsc.events.DSCHeaderComment

- All Implemented Interfaces:
    DSCParserConstants, DSCEvent

      public class DSCHeaderComment
      extends AbstractEvent

  Represents a DSC header comment (beginning with "%!).

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants

      `COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSCHeaderComment(java.lang.String comment)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(PSGenerator gen)` Writes the event to the given PSGenerator.
    `java.lang.String` | `getComment()` Returns the comment.
    `int` | `getEventType()` Returns the event type.
    `boolean` | `isHeaderComment()` Indicates whether the instance is a header comment.
    `boolean` | `isPSAdobe30()` Indicates whether the file started by this comments is DSC 3.0 compliant.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent

      `asDSCComment, asLine, isComment, isDSCComment, isLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSCHeaderComment

          public DSCHeaderComment(java.lang.String comment)

      Creates a new instance.
      Parameters:
        `comment` - the comment

  - ### Method Detail

    - #### getComment

          public java.lang.String getComment()

      Returns the comment.
      Returns:
        the comment

    - #### isPSAdobe30

          public boolean isPSAdobe30()

      Indicates whether the file started by this comments is DSC 3.0 compliant.
      Returns:
        true if the file is DSC 3.0 compliant.

    - #### generate

          public void generate(PSGenerator gen)
                        throws java.io.IOException

      Description copied from interface: `DSCEvent`
      Writes the event to the given PSGenerator.
      Parameters:
        `gen` - the PSGenerator to write to
      Throws:
        `java.io.IOException` - In case of an I/O error
      See Also:
        `DSCEvent.generate( org.apache.xmlgraphics.ps.PSGenerator)`

    - #### getEventType

          public int getEventType()

      Description copied from interface: `DSCEvent`
      Returns the event type.
      Returns:
        the event type (see `DSCParserConstants`)
      See Also:
        `DSCEvent.getEventType()`

    - #### isHeaderComment

          public boolean isHeaderComment()

      Description copied from interface: `DSCEvent`
      Indicates whether the instance is a header comment.
      Specified by:
        `isHeaderComment` in interface `DSCEvent`
      Overrides:
        `isHeaderComment` in class `AbstractEvent`
      Returns:
        true if the instance is a header comment
      See Also:
        `AbstractEvent.isHeaderComment()`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.